# Class CommonBattleAnim

#### Hierarchy (view full)

- BattleAnim
  - CommonBattleAnim

- Defined in src/data/battle-anims.ts:982

#####
Index

### Constructors

constructor

### Properties

bgSprite
commonAnim
sprites
target
user

### Methods

getAnim
isHideTarget
isHideUser
isOppAnim
play

## Constructors

### constructor

- new CommonBattleAnim(commonAnim, user, target?): CommonBattleAnim

- #### Parameters

  - commonAnim: CommonAnim
  - user: default
  - `Optional` target: default

  #### Returns CommonBattleAnim

  Overrides BattleAnim.constructor

  - Defined in src/data/battle-anims.ts:985

## Properties

### bgSprite

bgSprite: TileSprite | Rectangle

Inherited from BattleAnim.bgSprite

- Defined in src/data/battle-anims.ts:674

### commonAnim

commonAnim: CommonAnim

- Defined in src/data/battle-anims.ts:983

### sprites

sprites: Sprite[]

Inherited from BattleAnim.sprites

- Defined in src/data/battle-anims.ts:673

### target

target: default

Inherited from BattleAnim.target

- Defined in src/data/battle-anims.ts:672

### user

user: default

Inherited from BattleAnim.user

- Defined in src/data/battle-anims.ts:671

## Methods

### getAnim

- getAnim(): AnimConfig

- #### Returns AnimConfig

  Overrides BattleAnim.getAnim

  - Defined in src/data/battle-anims.ts:991

### `Protected` isHideTarget

- isHideTarget(): boolean

- #### Returns boolean

  Inherited from BattleAnim.isHideTarget

  - Defined in src/data/battle-anims.ts:693

### `Protected` isHideUser

- isHideUser(): boolean

- #### Returns boolean

  Inherited from BattleAnim.isHideUser

  - Defined in src/data/battle-anims.ts:689

### isOppAnim

- isOppAnim(): boolean

- #### Returns boolean

  Overrides BattleAnim.isOppAnim

  - Defined in src/data/battle-anims.ts:995

### play

- play(scene, callback?): void

- #### Parameters

  - scene: default
  - `Optional` callback: Function

  #### Returns void

  Inherited from BattleAnim.play

  - Defined in src/data/battle-anims.ts:751